<template>
    <div>
        <el-dialog :title="this.title + '日各取水点统计'" width="60%" top="8vh" :before-close="handleClose"
            :visible.sync="showFormDias">
            <div id="echartsBox" style="width: 100%; height: 400px" ref="box"></div>
            <span slot="footer" class="dialog-footer">
                <el-button type="primary" @click="handleClose">退 出</el-button>
            </span>
        </el-dialog>
    </div>
</template>
<script>
import * as echarts from 'echarts'
import waterStatistical from '@/api/monitor/otherMonitor/waterStatistical.js'
export default {
    name: 'DateWaterPoint',
    data() {
        return {
            showFormDias: false,
            title: '',
            parmas: {
                subTime: "",
                type: "yyyy-MM-dd"

            },
            dateEchart: null,
            dateList: []
        }

    },
    created() {
    },
    mounted() {
        this.dateEcharts()
    },
    methods: {
        handleOpen(date) {
            this.showFormDias = true
            this.title = date
            this.parmas.subTime = date
            this.getData()
        },
        handleClose() {
            this.showFormDias = false
            this.title = ""
        },
        getData() {
            waterStatistical.stationStatisticsSub(this.parmas, res => {
                if (res.state) {
                    // console.log(res.value);
                    this.dateList = res.value
                    this.$nextTick(() => {
                        this.dateEcharts()
                    })
                }
            })
        },
        dateEcharts() {
            let times = []
            let yNum = []
            this.dateList.forEach(e => {
                times.push(e.x)
                yNum.push(e.y)
            })
            if (this.dateEchart != null && this.dateEchart != "" && this.dateEchart != undefined) {
                this.dateEchart.dispose();//销毁
            }
            // let chartDom = document.getElementById('echartsBox')
            this.dateEchart = echarts.init(this.$refs.box)
            let option = {
                grid: {
                    top: 30,
                },
                xAxis: {
                    type: 'category',
                    data: times
                },
                yAxis: {
                    name: '万m³',
                    type: 'value'
                },
                tooltip: {
                    trigger: 'axis',
                    axisPointer: {
                        type: 'shadow'
                    }
                },
                series: [{
                    data: yNum,
                    type: 'bar'
                }]
            };
            option && this.dateEchart.setOption(option)
        }
    }
}
</script>
<style lang="scss" scoped>
</style>